GEN_PATH="/docs/swagger"

generate() {
  SWAGGER_FILE=$(find "$1" -maxdepth 1 -type f -iname "swagger.*" -printf "%f" -quit)
  if [[ ! "$SWAGGER_FILE" ]]; then
    echo "missing swagger config gile ($1/swagger.*)" >&2
  fi

  echo "<!DOCTYPE html>
  <html>
    <head>
      <meta http-equiv=\"Refresh\" content=\"0; url=/swagger?url=/documentation/${RELATIVE_PATH}$SWAGGER_FILE\" />
    </head>
    <body>
      <p>Suivez <a href=\"/swagger?url=/swagger?url=/documentation/${RELATIVE_PATH}$SWAGGER_FILE\">ce lien</a>.</p>
    </body>
  </html>" > $GEN_PATH/CLICKME.html

  mkdir -p $GEN_PATH
  mv "$SWAGGER_FILE" $GEN_PATH
}
